Skip to content
Dashboard
Theme
Theme

List role rules

GET /v1/role_rules: List role rules.

View Markdown

GET /v1/role_rules

Scope
policies:read
Auth
Secret key (sk_…)
Since
1.0
  • OhAuthCat-Version string

    Minor version; defaults to the environment’s pin.

Errors share one shape; see the error code catalogue.

curl -X GET \
"https://api.ohauthcat.com/v1/role_rules" \
-H "Authorization: Bearer $OHAUTHCAT_API_KEY"
Response 200
{
"object": "list",
"data": [
{
"id": "rrule_01J9ZQ4M7K2X8V3N5B6C1D0E9F",
"object": "role_rule",
"organization": "org_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"kind": "group",
"match": {
"idp_group": "Engineering",
"scim_group": "dgrp_01J9ZQ4M7K2X8V3N5B6C1D0E9F",
"domain": "acme.com",
"connection": "conn_01J9ZQ4M7K2X8V3N5B6C1D0E9F"
},
"role": "admin",
"priority": 1,
"condition": {
"action": "allow",
"expr": {
"kind": "leaf",
"attribute": "email",
"operator": "equals",
"values": [],
"children": []
}
},
"created_at": "2026-01-15T09:30:00Z",
"updated_at": "2026-01-15T09:30:00Z"
}
],
"has_more": true
}